I am trying to log into a site that keeps giving me an error saying " you are not running the current version of java 1.6 , please go an update before trying again" Is there any way I can access this site on my hp touch pad.

Thanks in advance